
Redmine - Defect #3145

Upload of bigger files fails iff version is defined

2009-04-09 12:52 - Carsten Schurig

Status: Closed Start date: 2009-04-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.4   

Resolution: Fixed Affected version:  

Description

Upload of a bigger file (12 MB) fails, iff a version is defined in the project

smaller files seem to work always

bigger files work only, iff no version is defined in the project

if a version is defined, a segfault in app/models/attachment.rb happens, no matter if it is assigned to a version or not

after deleting all the versions of the project, the upload of a big file is again possible without any problems

error.log of apache when the upload fails:

/redmine/app/models/attachment.rb:92: [BUG] Segmentation fault

ruby 1.8.6 (2008-08-08) [i686-linux]

[Thu Apr 09 12:48:58 2009] [error] [client 10.200.0.112] Premature end of script headers: new, ref

erer: https://host/projects/test/files/new

[ pid=12346 file=Hooks.cpp:510 time=2009-04-09 12:48:58.111 ]:

  Backend process 12785 did not return a valid HTTP response. It returned no data.

System configuration:

Apache 2.2.9 on Ubuntu

ruby 1.8.6 (2008-08-08 patchlevel 286) [i686-linux] (Ruby Enterprise Edition 1.8.6-20090201)

Phusion Passenger (mod_rails) 2.1.3

Related issues:

Related to Redmine - Defect #3116: Uploading medium size file fails Closed 2009-04-03

History

#1 - 2009-04-10 18:34 - Jean-Philippe Lang

First, you can have a look at #2933.

And r2670 fixes a memory consumption problem on file upload. Can you give a try?

#2 - 2009-04-14 09:51 - Carsten Schurig

- Status changed from New to Resolved

Jean-Philippe Lang wrote:

First, you can have a look at #2933.

 I've seen it but the problem looked quite different because it worked always without a version defined. Further the error was always the same...

And r2670 fixes a memory consumption problem on file upload. Can you give a try?

 r2670 seems to fix it by now as far as I have tested it. I tested it with the file I had originally problems with and additionaly with a 50MB file. It did work

with a version defined and without a version defined.

Thanks a lot.

2025-05-01 1/2

https://www.redmine.org/issues/2933
https://www.redmine.org/projects/redmine/repository/svn/revisions/2670
https://www.redmine.org/issues/2933
https://www.redmine.org/projects/redmine/repository/svn/revisions/2670
https://www.redmine.org/projects/redmine/repository/svn/revisions/2670


#3 - 2009-04-19 10:53 - Jean-Philippe Lang

- Target version set to 0.8.4

- Resolution set to Fixed

Thanks for your feedback.

#4 - 2009-04-24 18:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2681.
